Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Kommando

    java.lang.Object
      Kommando

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Direct Known Subclasses:
  KOMMANDO_Ausrichtung, KOMMANDO_Ausschneiden, KOMMANDO_Einfuegen, KOMMANDO_GeheZu, KOMMANDO_Kopieren, KOMMANDO_Nachkomma, KOMMANDO_Undo

    public abstract class Kommando

extends java.lang.Object
implements java.awt.event.ActionListener

Basisklasse für alle Benutzerkommandos in der Tabellenkalkulation

Constructor Summary
`Kommando()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Methode vom Interface ActionsListener - wird gerufen, wenn Benutzer das Menu gewählt hat
`abstract void` | `doit()` in diese Methode wird der Code eingetragen, der für das Kommando ausgeführt werden soll
`abstract void` | `undo()` in diese Methode wird der Code eingetragen, der zum Rückgängigmachen des Kommandos ausgeführt werden soll

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Kommando

    public Kommando()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Methode vom Interface ActionsListener - wird gerufen, wenn Benutzer das Menu gewählt hat

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### doit

    public abstract void doit()

  in diese Methode wird der Code eingetragen, der für das Kommando ausgeführt werden soll

### undo

    public abstract void undo()

  in diese Methode wird der Code eingetragen, der zum Rückgängigmachen des Kommandos ausgeführt werden soll

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD